﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;

namespace UltraComboEditorMultiSelectItems
{
    public partial class MyCombo : UserControl
    {
        public MyCombo()
        {
            InitializeComponent();
            ultraTextEditor1.ReadOnly = true;
            ultraTextEditor1.Location = new Point(ultraCombo1.Location.X, ultraCombo1.Location.Y);
            ultraTextEditor1.Height = ultraCombo1.Height;
            ultraTextEditor1.Width = ultraCombo1.Width - 20;
            ultraTextEditor1.Appearance.BackColor = Color.White;
        }

        private void ultraCombo1_ListChanged(object sender, Infragistics.Win.ValueListChangedEventArgs e)
        {
            if (ultraCombo1.CheckedRows.Count == ultraCombo1.Rows.Count)
            {
                ultraTextEditor1.Text = "All";
                ultraTextEditor1.BringToFront();
                ultraTextEditor1.Visible = true;
            }
            else
            {
                ultraTextEditor1.Text = "Selected Items = " + ultraCombo1.Rows.Where(p=>Convert.ToBoolean(p.Cells[0].Value) == true).Count().ToString();
                ultraTextEditor1.BringToFront();
                ultraTextEditor1.Visible = true;
            }
        }
    }
}
