﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using System.Diagnostics;

namespace UltraComboEditorMultiSelectItems
{
    public partial class Form1 : Form
    {
        private DataTable dt;
        public Form1()
        {
            InitializeComponent();


            dt = new DataTable();
            dt.Columns.Add("Check", typeof(bool));
            dt.Columns.Add("Item", typeof(string));

            dt.Rows.Add(false, "Item 1");
            dt.Rows.Add(false, "Item 2");
            dt.Rows.Add(false, "Item 3");
            dt.Rows.Add(false, "Item 4");
            dt.Rows.Add(false, "Item 5");


            myCombo1.ultraCombo1.DisplayMember = "Item";
            myCombo1.ultraCombo1.DataSource = dt;

            myCombo1.ultraCombo1.CheckedListSettings.EditorValueSource = EditorWithComboValueSource.CheckedItems;
            myCombo1.ultraCombo1.CheckedListSettings.CheckStateMember = "Check";
            myCombo1.ultraCombo1.CheckedListSettings.ItemCheckArea = Infragistics.Win.ItemCheckArea.Item;


            myCombo1.ultraCombo1.DisplayLayout.Bands[0].Columns["Check"].Header.CheckBoxVisibility = Infragistics.Win.UltraWinGrid.HeaderCheckBoxVisibility.Always;
        }

    }
}
